aboutsummaryrefslogtreecommitdiffstats
path: root/testing/buildbot/buildmaster.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:38:14 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:38:38 +0000
commit27a7e72d0e7123670bc22e71d92d540bb2e16978 (patch)
tree0f01e8865162b97f0dc84c7fc527c8e07fd57d5e /testing/buildbot/buildmaster.initd
parent839bdebd48f32e993bc8d1ff1ceb826a9ee7039d (diff)
downloadaports-27a7e72d0e7123670bc22e71d92d540bb2e16978.tar.bz2
aports-27a7e72d0e7123670bc22e71d92d540bb2e16978.tar.xz
testing/buildbot: add missing files
Diffstat (limited to 'testing/buildbot/buildmaster.initd')
-rw-r--r--testing/buildbot/buildmaster.initd54
1 files changed, 54 insertions, 0 deletions
diff --git a/testing/buildbot/buildmaster.initd b/testing/buildbot/buildmaster.initd
new file mode 100644
index 0000000000..313365f3a6
--- /dev/null
+++ b/testing/buildbot/buildmaster.initd
@@ -0,0 +1,54 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ -z "${BASEDIR}" ]; then
+ eerror "BASEDIR not set"
+ return 1
+ fi
+ if [ -z "${USERNAME}" ]; then
+ eerror "USERNAME not set"
+ return 1
+ fi
+ if [ ! -d "${BASEDIR}" ]; then
+ eerror "${BASEDIR} is not a directory"
+ return 1
+ fi
+ if [ ! -e "${BASEDIR}/buildbot.tac" ]; then
+ eerror "${BASEDIR} does not contain buildbot.tac"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting buildmaster in ${BASEDIR}"
+ start-stop-daemon --start -u "${USERNAME}" \
+ --pidfile "${BASEDIR}/buildmaster.pid" \
+ --exec /usr/bin/python -- /usr/bin/twistd \
+ --no_save \
+ --logfile="${BASEDIR}/twistd.log" \
+ --pidfile="${BASEDIR}/buildmaster.pid" \
+ --python="${BASEDIR}/buildbot.tac"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping buildmaster in ${BASEDIR}"
+ start-stop-daemon --stop --pidfile "${BASEDIR}/buildmaster.pid"
+ eend $?
+}
+
+reload() {
+ ebegin "Reconfiguring buildmaster in ${BASEDIR}"
+ start-stop-daemon --signal HUP --pidfile \
+ "${BASEDIR}"/buildmaster.pid
+ eend $?
+}